Page MenuHomePhabricator

MEP Client MediaWiki PHP
Closed, ResolvedPublic

Description

EventLogging Server Side client should POST to EventGate. Thus far we've been focusing only on the EventLogging client side JS. We also need to do the same for the EventLogging server side PHP code so that it POSTs to EventGate.

Related Objects

Event Timeline

LGoto triaged this task as Medium priority.May 19 2020, 3:40 PM
jlinehan renamed this task from EventLogging Server Side client should POST to EventGate to MEP Client MediaWiki (PHP).Aug 5 2020, 12:55 PM
jlinehan renamed this task from MEP Client MediaWiki (PHP) to MEP Client MediaWiki PHP.
jlinehan updated the task description. (Show Details)

Change 623459 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/EventLogging@master] Add MEP client for MediaWiki PHP

https://gerrit.wikimedia.org/r/623459

Change 629226 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/EventLogging@master] Add sampling config support to PHP MEP client

https://gerrit.wikimedia.org/r/629226

Change 629226 abandoned by Mholloway:
[mediawiki/extensions/EventLogging@master] Add sampling config support to PHP MEP client

Reason:
I've pushed some earlier updates for posterity, but after talking it through with Jason and Mikhail we agreed that it doesn't make sense to naively port over the supported JS sampling config rules. Most pageviews don't make it to the PHP appservers, and the PHP/MediaWiki concept of a Session almost certainly does not match the definition of a session that was used in implementing the JS client.

When a specific need arises (perhaps for the EditAttemptStep port), we'll figure out how best to support sampling (including how to ensure that the workflows we're targeting will remain in sample as a group).

https://gerrit.wikimedia.org/r/629226

Per discussion in the team meeting earlier this week, this can live on the PID workboard only rather than also PI core kanban.

Hiya, I think we need to expedite https://gerrit.wikimedia.org/r/c/mediawiki/extensions/EventLogging/+/623459. We need it for the EventLogging -> EventGate migration.

Change 645430 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/EventLogging@master] MEP-PHP: Provide forward compatibility of migrated event schemas

https://gerrit.wikimedia.org/r/645430

Change 623459 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@master] Event Platform Client for MediaWiki PHP

https://gerrit.wikimedia.org/r/623459

Change 645430 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@master] MEP-PHP: Provide forward compatibility of migrated event schemas

https://gerrit.wikimedia.org/r/645430

Change 649961 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/EventLogging@master] Provide forward compatibility of migrated event schemas (take 2)

https://gerrit.wikimedia.org/r/649961

Change 649961 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@master] Provide forward compatibility of migrated event schemas (take 2)

https://gerrit.wikimedia.org/r/649961

Change 655999 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventLogging@master] [WIP] Legacy logic should encapsulate user provided event data as the 'event' field

https://gerrit.wikimedia.org/r/655999

Change 655999 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@master] Refactor EventLogging Event Platform PHP integration

https://gerrit.wikimedia.org/r/655999

Change 657365 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventLogging@master] Fix possible undefined index warning in arg checking in EventServiceClient

https://gerrit.wikimedia.org/r/657365

Change 657365 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@master] Fix possible undefined index warning in arg checking in EventServiceClient

https://gerrit.wikimedia.org/r/657365

Change 657391 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventLogging@wmf/1.36.0-wmf.27] Refactor EventLogging Event Platform PHP integration

https://gerrit.wikimedia.org/r/657391

Change 657392 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventLogging@wmf/1.36.0-wmf.27] Fix possible undefined index warning in arg checking in EventServiceClient

https://gerrit.wikimedia.org/r/657392

Change 657391 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@wmf/1.36.0-wmf.27] Refactor EventLogging Event Platform PHP integration

https://gerrit.wikimedia.org/r/657391

Change 657392 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@wmf/1.36.0-wmf.27] Fix possible undefined index warning in arg checking in EventServiceClient

https://gerrit.wikimedia.org/r/657392

Mentioned in SAL (#wikimedia-operations) [2021-01-21T19:40:12Z] <urbanecm@deploy1001> Synchronized php-1.36.0-wmf.27/extensions/EventLogging/: ee830a5ec2051fa970084e89b477a44c384e309c: f7152a74e00404fc561c44d1c2e37d7f882e2f52: EventLogging backport, see commits for details (T253121) (duration: 01m 05s)